Kerbal Space Program - Bug #25803

A.LR.B.R.A.K.E.S. Deployed airbrakes display incorrectly in editor
07/18/2020 03:52 AM - shaun_dove

Status: Duplicate Start date: 07/18/2020
Severity: Low % Done: 100%
Assignee:

Category: Editor

Target version:

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Airbrakes that are set to be open in the editor open too far. The displayed opening angle in degrees appears to be the percentage of
the authority limiter. Changing the deploy angle does not change the opening angle in the editor.

Related issues:
Is duplicate of Kerbal Space Program - Bug #24458: Airbrakes extend further t... Confirmed 12/03/2019

History

#1 - 07/24/2020 02:48 PM - BloodyRain2k
- File KSP_x64_H6FZva9ZNw.png added

- File KSP_x64_tT8qg4bEoJ.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Not only do they display wrong regarding their deployed angle, they also respond to the wrong limiters.

Deploy reacts to the authority limiter instead and does so with the range of the deploy limit.
That's the only way | can explain to me, how it's at 100 degree while the limiter it responds to is set to 70 degree.

#2 - 07/27/2020 05:47 AM - Anonymous
similar to #24458

#3 - 09/01/2020 10:54 AM - Robert.Keech
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

#4 - 09/01/2020 10:54 AM - Robert.Keech
- Related to Bug #24458: Airbrakes extend further than they should in the editor added

#5 - 09/01/2020 10:56 AM - Robert.Keech
- Related to deleted (Bug #24458: Airbrakes extend further than they should in the editor)

#6 - 09/01/2020 10:57 AM - Robert.Keech
- Is duplicate of Bug #24458: Airbrakes extend further than they should in the editor added

#8 - 09/01/2020 11:09 AM - shaun_dove

Is not a duplicate. 24458 is a ui glitch to do with extension being longer than the piston. This bug refers to the sliders doing the wrong thing. Please
change the status back.

Files
airbrakes-world.png 427 KB 07/18/2020 shaun_dove
airbrakes-editor.png 719 KB 07/18/2020 shaun_dove
